Bug 20122 - RH7.0 install (anaconda signal 7) failure
RH7.0 install (anaconda signal 7) failure
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-31 16:03 EST by Dan Kelley
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-04 10:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Kelley 2000-10-31 16:03:15 EST
I'm using RH7.0, with "linux updates" at the boot prompt, and with the
update disk image 20001008.img. 

At the anaconda stage it fails, with signal 7.

My box has successfully been running RH6.1, RH6.0, RH5.2, RH5.1, and RH5.0,
all of this over a couple of years, so I think the hardware cannot be
anything special.  (I have 2 hard-disks, a cdrom, floppy, etc, all pretty
standard stuff.)

I'd be happy to try any suggested workarounds, or diagnostics.


PS: this is not _crucial_ since I've just learned that matlab won't work
with RH 7.0 anyhow!
Comment 1 Michael Fulbright 2000-11-03 15:16:44 EST
How much RAM is in your computer? For example, what is the output from 

cat /proc/meminfo

Comment 2 Dan Kelley 2000-11-03 15:55:48 EST
The output you request is as follows.  Thanks.

$ cat /proc/meminfo
        total:    used:    free:  shared: buffers:  cached:
Mem:  130928640 125149184  5779456 31535104  3526656 32997376
Swap: 131596288 27328512 104267776
MemTotal:    127860 kB
MemFree:       5644 kB
MemShared:    30796 kB
Buffers:       3444 kB
Cached:       32224 kB
BigTotal:         0 kB
BigFree:          0 kB
SwapTotal:   128512 kB
SwapFree:    101824 kB
Comment 3 Brock Organ 2000-11-06 17:56:11 EST
hi dan!

sure looks like you have enough memory! :)

what kind of machine is it/hardware configuration ...?
can you install in text mode ...?
are you installing via network, or cdrom ...?
Comment 4 Dan Kelley 2000-11-07 08:15:59 EST
>what kind of machine is it/hardware configuration ...?

Pentium II at 300 MHz, 128M ram, two disks (6gig and 18gig), HP Cd-writer 7200+,
conventional floppy, etc.  All of this is about 2 years old, so it has the
slower bus, etc.  Anything relevant that I've forgotten?

>can you install in text mode ...?

Haven't tried that.  Is it worth a try, do you think?  I am, to be truthful,
fearful, given that the graphical version fails so startlingly.  Have other
folks found the graphical method fails, but the text method succeeds?

>are you installing via network, or cdrom ...?

From cdrom.  Fails whether boot from cdrom or from floppy.  (Recall I boot then
try to employ the 'updates' option.)

Thanks very much for continuing to consider my problem.  Dan.
Comment 5 Michael Fulbright 2000-11-15 11:28:51 EST
The text mode and graphical mode installers do share some code, but the text
mode installer is overall simpler than the graphical, and can be more robust
against problems.  I think its worth a shot. All you can't currently do in the
text mode installer which you can in the graphical mode is setup RAID devices in
the installer.

Note You need to log in before you can comment on or make changes to this bug.